Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		cairomm 
Summary:	C++ wrapper for the cairo graphics library
Version:	1.9.1
Release:	1
License:	GNU/GPL 
URL:		http://cairographics.org/cairomm/
Group:		Development/Other
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Obsoletes:	%{name}-doc
#Automatically resolved build dependencies
BuildRequires: cairo-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
cairomm is a C++ wrapper for the cairo graphics library.
It offers all the power of cairo with an interface familiar
to C++ developers, including use of the Standard Template Library
where it makes sense. 

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libararies
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/libcairomm-1.0.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/cairomm-1.0
%{_libdir}/cairomm-1.0/include/cairommconfig.h
%{_libdir}/libcairomm-1.0.la
%{_libdir}/libcairomm-1.0.so
%{_pkgconfig}/cairomm-1.0.pc
%{_pkgconfig}/cairomm-ft-1.0.pc
%{_pkgconfig}/cairomm-pdf-1.0.pc
%{_pkgconfig}/cairomm-png-1.0.pc
%{_pkgconfig}/cairomm-ps-1.0.pc
%{_pkgconfig}/cairomm-svg-1.0.pc
%{_pkgconfig}/cairomm-xlib-1.0.pc
%{_pkgconfig}/cairomm-xlib-xrender-1.0.pc
%{_datadir}/devhelp/books/cairomm-1.0/cairomm-1.0.devhelp2
%{_docdir}/cairomm-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 06 2010 Christian Metzen <metzench@ccux-linux.de> 1.9.1-1
- Version update
* Sun Aug 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.4-1
- Version update
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 1.6.0-1
- version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.4.6-1
- version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- Version update
* Mon Oct 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Initial Release  
